Subject: I-D Action: draft-sriram-sidrops-as-hijack-detection-03.txt

From: [email-masked]
Date: Mon, 10 Jan 2022 07:53:58 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : AS Hijack Detection and Mitigation
        Authors         : Kotikalapudi Sriram
                          Doug Montgomery
	Filename        : draft-sriram-sidrops-as-hijack-detection-03.txt
	Pages           : 5
	Date            : 2022-01-10

Abstract:
   This document proposes a method for detection and mitigation of AS
   hijacking.  In this mechanism, an AS operator registers a new object
   in the RPKI called 'ROAs Exist for All Prefixes (REAP)'.  REAP is
   digitally signed using the AS holder's certificate.  By registering a
   REAP object, the AS operator is declaring that they have Route Origin
   Authorization (ROA) coverage for all prefixes originated by their AS.
   A receiving AS will mark a route as Invalid if the prefix is not
   covered by any Validated ROA Payload (VRP) and the route origin AS
   has signed a REAP.  Here Invalid means that the route is determined
   to be an AS hijack.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-sriram-sidrops-as-hijack-detection/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-sriram-sidrops-as-hijack-detection-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-sriram-sidrops-as-hijack-detection-03

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts